Generate system prompt
curl --request POST \
--url https://flow.seekr.com/v1/flow/data-jobs/gen_system_prompt \
--header 'Content-Type: application/json' \
--data '
{
"instructions": "<string>",
"document_summary": "<string>"
}
'import requests
url = "https://flow.seekr.com/v1/flow/data-jobs/gen_system_prompt"
payload = {
"instructions": "<string>",
"document_summary": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({instructions: '<string>', document_summary: '<string>'})
};
fetch('https://flow.seekr.com/v1/flow/data-jobs/gen_system_prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Data jobs
Generate system prompt
Generate a system prompt based on a use case description and optional source documents.
POST
/
v1
/
flow
/
data-jobs
/
gen_system_prompt
Generate system prompt
Generate a system prompt from user-provided instructions. This endpoint is not tied to a specific data job and can be called before or after job creation. The generated prompt can then be set on a
principle_files job via PATCH /v1/flow/data-jobs/{id}.
For usage in context, see Create instruction fine-tuning data.Last modified on June 18, 2026
⌘I